import { rejectionErrors } from "../errors"
import sendError, { API } from "./sendError"

async function getPinFromBody<T>(context: API<T>, next: (pin: string) => void) {
  const body = JSON.parse(context.req.body)
  if (
    typeof body !== "object" ||
    !body ||
    !("pin" in body) ||
    typeof body.pin !== "string"
  )
    return sendError(context, rejectionErrors.noUsername)
  const { pin } = body

  return next(pin)
}

export default getPinFromBody
