import checkTokenIsValid from "./checkTokenIsValid"
import getPlayerByIdDB from "./getPlayerByIdDB"
import getTokenDB from "./getTokenDB"
import getTokenFromBody from "./getTokenFromBody"
import { API } from "./sendError"
import { Player, Token } from "@prisma/client"

function getPlayer<T>(
  context: API<T>,
  next: (player: Player, tokenDB: Token) => void
) {
  return getTokenFromBody(context, (accessToken) => {
    checkTokenIsValid(context, accessToken, (token) => {
      getTokenDB(context, token, (tokenDB) => {
        getPlayerByIdDB(context, tokenDB, (player) => next(player, tokenDB))
      })
    })
  })
}

export default getPlayer
