import { rejectionErrors } from "../errors"
import sendError, { API } from "./sendError"

async function getUserFromBody<T>(
  context: API<T>,
  next: (username: string, password: string) => void
) {
  const body = JSON.parse(context.req.body)
  if (
    typeof body !== "object" ||
    !body ||
    !("username" in body) ||
    typeof body.username !== "string"
  )
    return sendError(context, rejectionErrors.noUsername)
  const { username } = body
  if (!("password" in body) || typeof body.password !== "string")
    return sendError(context, rejectionErrors.noPassword)
  const { password } = body

  return next(username, password)
}

export default getUserFromBody
