import "../styles/App.scss"
import "../styles/globals.css"
import "../styles/grid2.scss"
import "../styles/grid.scss"
import type { AppProps } from "next/app"
import { Dispatch, SetStateAction, createContext, useState } from "react"

interface gameContext {
  pin?: string
  game?: {
    id: ""
  }
  enemy?: {
    id: string
    username?: string
  }
}

export const gameContext = createContext<
  [gameContext, Dispatch<SetStateAction<gameContext>>]
>([{}, () => {}])

export default function App({ Component, pageProps }: AppProps) {
  const gameProps = useState<gameContext>({})
  return (
    <gameContext.Provider value={gameProps}>
      <Component {...pageProps} />
    </gameContext.Provider>
  )
}
